import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";

export const httpList = (data: object): any => {
  return http.request("post", `${yewuApi}paylist`, { data });
};

//对账单详情
export const httpDetail = (data: object): any => {
  return http.request("post", `${yewuApi}payinfo`, { data });
};

export const httpInfo = (data: object): any => {
  return http.request("post", `${yewuApi}payinfo`, { data });
};

//发货运单列表
export const httpSendOrderList = (data: object = {}): any => {
  return http.request("post", `${yewuApi}track/list`, { data });
};

export const httpBatchSendOrderList = (data: object = {}): any => {
  return http.request("post", `${yewuApi}track/query`, { data });
};

//创建对账单
export const httpAdd = (data: object = {}): any => {
  return http.request("post", `${yewuApi}track/payAdd`, { data });
};

//对账单审核
export const httpStatus = (data: object): any => {
  return http.request("post", `${yewuApi}paystatus`, { data });
};

//对账单删除
export const httpDel = (data: object): any => {
  return http.request("post", `${yewuApi}paydel`, { data });
};
